This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 164892

Summary: Project Group Properties Should Support Additional Display/Edit
Product: projects Reporter: tomwheeler <tomwheeler>
Component: Generic Projects UIAssignee: Martin Kozeny <mkozeny>
Status: RESOLVED FIXED    
Severity: blocker CC: markiewb
Priority: P3    
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Exception Reporter:

Description tomwheeler 2009-05-11 20:45:31 UTC
When one creates a new project group, the dialog asks for a name, the type (Free Group, Project and All Required
Projects, and Folder of Projects), plus options relevant to the type chosen.  Once the project group has been created,
however, there is no obvious way to change -- or even see -- the options used to create the group.  The Project Group
Properties dialog (at least for "Folder of Projects" groups) shows only the name and a read-only field for the folder.

It would be a nice improvement if the project group properties simply brought up the dialog used to originally create it
and then populated the fields based on the options chosen in the first place.
Comment 1 Martin Kozeny 2013-10-24 15:09:15 UTC
Also added check of empty group name.

https://hg.netbeans.org/core-main/rev/3fdff1e9a8a5
Comment 2 Quality Engineering 2013-10-25 02:11:30 UTC
Integrated into 'main-silver', will be available in build *201310250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3fdff1e9a8a5
User: Martin Kozeny <mkozeny@netbeans.org>
Log: #164892: Project Group Properties now supports Additional Display/Edit.